Show / Hide Table of Contents

# AsyncMouseEnterTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncMouseEnterTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncMouseEnterTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnMouseEnterAsyncHandler() |
GetOnMouseEnterAsyncHandler(CancellationToken) |
OnMouseEnterAsync() |
OnMouseEnterAsync(CancellationToken) |

### Methods

#### GetOnMouseEnterAsyncHandler()

    public IAsyncOnMouseEnterHandler GetOnMouseEnterAsyncHandler()

##### Returns

IAsyncOnMouseEnterHandler

#### GetOnMouseEnterAsyncHandler(CancellationToken)

    public IAsyncOnMouseEnterHandler GetOnMouseEnterAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnMouseEnterHandler

#### OnMouseEnterAsync()

    public UniTask OnMouseEnterAsync()

##### Returns

UniTask

#### OnMouseEnterAsync(CancellationToken)

    public UniTask OnMouseEnterAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>